## WDS Set IP Family request WDS Set IP Family request |

## Functions

QmiMessageWdsSetIpFamilyInput * | qmi_message_wds_set_ip_family_input_new ()
QmiMessageWdsSetIpFamilyInput * | qmi_message_wds_set_ip_family_input_ref ()
void | qmi_message_wds_set_ip_family_input_unref ()
gboolean | qmi_message_wds_set_ip_family_input_get_preference ()
gboolean | qmi_message_wds_set_ip_family_input_set_preference ()
QmiMessageWdsSetIpFamilyOutput * | qmi_message_wds_set_ip_family_output_ref ()
void | qmi_message_wds_set_ip_family_output_unref ()
gboolean | qmi_message_wds_set_ip_family_output_get_result ()
void | qmi_client_wds_set_ip_family ()
QmiMessageWdsSetIpFamilyOutput * | qmi_client_wds_set_ip_family_finish ()

## Types and Values

| QmiMessageWdsSetIpFamilyInput
| QmiMessageWdsSetIpFamilyOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsSetIpFamilyInput
        ╰── QmiMessageWdsSetIpFamilyOutput

## Description

## Functions

### qmi_message_wds_set_ip_family_input_new ()

    QmiMessageWdsSetIpFamilyInput *
    qmi_message_wds_set_ip_family_input_new
                                   (void);

Allocates a new QmiMessageWdsSetIpFamilyInput.

#### Returns

the newly created QmiMessageWdsSetIpFamilyInput. The returned value should be freed with `qmi_message_wds_set_ip_family_input_unref()`.

Since: 1.0

### qmi_message_wds_set_ip_family_input_ref ()

    QmiMessageWdsSetIpFamilyInput *
    qmi_message_wds_set_ip_family_input_ref
                                   (QmiMessageWdsSetIpFamilyInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetIpFamilyInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_set_ip_family_input_unref ()

    void
    qmi_message_wds_set_ip_family_input_unref
                                   (QmiMessageWdsSetIpFamilyInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetIpFamilyInput. |

Since: 1.0

### qmi_message_wds_set_ip_family_input_get_preference ()

    gboolean
    qmi_message_wds_set_ip_family_input_get_preference
                                   (QmiMessageWdsSetIpFamilyInput *self,
                                    QmiWdsIpFamily *value_preference,
                                    GError **error);

Get the 'Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsSetIpFamilyInput. |
value_preference | a placeholder for the output QmiWdsIpFamily, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wds_set_ip_family_input_set_preference ()

    gboolean
    qmi_message_wds_set_ip_family_input_set_preference
                                   (QmiMessageWdsSetIpFamilyInput *self,
                                    QmiWdsIpFamily value_preference,
                                    GError **error);

Set the 'Preference' field in the message.

#### Parameters

self | a QmiMessageWdsSetIpFamilyInput. |
value_preference | a QmiWdsIpFamily. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wds_set_ip_family_output_ref ()

    QmiMessageWdsSetIpFamilyOutput *
    qmi_message_wds_set_ip_family_output_ref
                                   (QmiMessageWdsSetIpFamilyOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetIpFamilyOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_set_ip_family_output_unref ()

    void
    qmi_message_wds_set_ip_family_output_unref
                                   (QmiMessageWdsSetIpFamilyOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetIpFamilyOutput. |

Since: 1.0

### qmi_message_wds_set_ip_family_output_get_result ()

    gboolean
    qmi_message_wds_set_ip_family_output_get_result
                                   (QmiMessageWdsSetIpFamilyOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsSetIpFamilyOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_wds_set_ip_family ()

    void
    qmi_client_wds_set_ip_family (QmiClientWds *self,
                                  QmiMessageWdsSetIpFamilyInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Set IP Family request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_set_ip_family_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsSetIpFamilyInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wds_set_ip_family_finish ()

    QmiMessageWdsSetIpFamilyOutput *
    qmi_client_wds_set_ip_family_finish (QmiClientWds *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_wds_set_ip_family()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_set_ip_family()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsSetIpFamilyOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_set_ip_family_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWdsSetIpFamilyInput

    typedef struct _QmiMessageWdsSetIpFamilyInput QmiMessageWdsSetIpFamilyInput;

The QmiMessageWdsSetIpFamilyInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWdsSetIpFamilyOutput

    typedef struct _QmiMessageWdsSetIpFamilyOutput QmiMessageWdsSetIpFamilyOutput;

The QmiMessageWdsSetIpFamilyOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0